#!/bin/sh

# Token-based sampling
scala -cp external/fig.jar:external/tea.jar:external/nlputils.jar:typesampling.jar typesampling.Main -create -execDir output.token -domain words -trainBasePaths data/br-phono.txt -alpha 0.1 -initCutProb 0 -maxSegmentLength 1000 -initRandom 1 -sampleRandom 1 -learnerType flatseg -typeLevelSampling false -maxIters 1000 -writeInferenceStatsInterval 100

# Token-based sampling with annealing
scala -cp external/fig.jar:external/tea.jar:external/nlputils.jar:typesampling.jar typesampling.Main -create -execDir output.token-anneal -domain words -trainBasePaths data/br-phono.txt -alpha 0.1 -initCutProb 0 -maxSegmentLength 1000 -initRandom 1 -sampleRandom 1 -learnerType flatseg -typeLevelSampling false -maxIters 1000 -writeInferenceStatsInterval 100 -initTemperature 10 -finalTemperature 1 -burnInFrac 0.5

# Sentence-based sampling
scala -cp external/fig.jar:external/tea.jar:external/nlputils.jar:typesampling.jar typesampling.Main -create -execDir output.sentence -domain words -trainBasePaths data/br-phono.txt -alpha 0.1 -initCutProb 0 -maxSegmentLength 1000 -initRandom 1 -sampleRandom 1 -learnerType flatseg -typeLevelSampling false -maxIters 1000 -writeInferenceStatsInterval 100 -dynamicProgramFrac 1

# Type-based sampling (BEST)
scala -cp external/fig.jar:external/tea.jar:external/nlputils.jar:typesampling.jar typesampling.Main -create -execDir output.type -domain words -trainBasePaths data/br-phono.txt -alpha 0.1 -initCutProb 0 -maxSegmentLength 1000 -initRandom 1 -sampleRandom 1 -learnerType flatseg2 -typeLevelSampling true -maxIters 1000 -writeInferenceStatsInterval 100 -sampleSiteOncePerIter +miscOptions 1x/site

# Type-based sampling (greedy version)
scala -cp external/fig.jar:external/tea.jar:external/nlputils.jar:typesampling.jar typesampling.Main -create -execDir output.type-greedy -domain words -trainBasePaths data/br-phono.txt -alpha 0.1 -initCutProb 0 -maxSegmentLength 1000 -initRandom 1 -sampleRandom 1 -learnerType flatseg2 -typeLevelSampling true -maxIters 1000 -writeInferenceStatsInterval 100 -sampleSiteOncePerIter +miscOptions greedy -considerOnlyVertices -hardMoves
