package typesampling

import scala.collection.mutable.{ArrayBuffer,HashMap,HashSet}
import fig.exec.Execution
import tea.Utils
import tea.Utils.{map,foreach,fmt,fmts,fmt1,fmt2,returnFirst,assertValid}
import tea.Utils.{track,begin_track,end_track,logs,dbgs}

trait Domain {
  def readNodes(path:String, maxNodes:Int) : Seq[Node]
  def write(node:Node, puts:String=>Any) : Unit
  def fileExt : String

  def contextValueAllowsAbstraction_?(value:Any) = true

  // For displaying refactored nodes nicely (doesn't matter what the contexts are)
  def createArgNode(name:String) : Node = throw new UnsupportedOperationException
  def createAbstractionNode(func:Node, args:List[Node]) : Node = throw new UnsupportedOperationException
  def createApplicationNode(func:Node, args:List[Node]) : Node = throw new UnsupportedOperationException
}
